#{extends 'borderNG.html' /}
<ol class="breadcrumb">
    <li><a href="@{VerifikatorCtr.rekanan()}"> &{'verifikator.daftar_penyedia_barang_jasa'}</a></li>
    <li class="active">&{'verifikator.detail_penyedia'}</li>
</ol>
<div class="content">
#{chekDuplikasi rekanan /}
#{alert /}
#{form @VerifikatorCtr.setujuRekananSubmit(rekanan.rkn_id), method:'POST'}
    <div class="row">
        <div class="col-md-6">
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.id_penyedia'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">${rekanan.rkn_id}</p>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.bentuk_usaha'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static" id="bentukUsaha">${rekanan.bentuk_usaha?.label}</p>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.user_id'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">${rekanan.rkn_namauser}</p>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.nama_perusahaan'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">${rekanan.rkn_nama}</p>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.alamat'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">${rekanan.rkn_alamat}</p>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.kode_pos'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">${rekanan.rkn_kodepos}</p>
                </div>
            </div>
            #{if rekanan.perusahaanAsing}
                <div class="form-group row">
                    <label class="col-lg-5 control-label">&{'verifikator.kota'}</label>
                    <div class="col-lg-7">
                        <p class="form-control-static">${rekanan.kota}</p>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-lg-5 control-label">&{'verifikator.negara'}</label>
                    <div class="col-lg-7">
                        <p class="form-control-static">${rekanan.negara?.nama}</p>
                    </div>
                </div>
            #{/if}
            #{else}
                <div class="form-group row">
                    <label class="col-lg-5 control-label">&{'verifikator.kab_kota'}</label>
                    <div class="col-lg-7">
                        <p class="form-control-static">${rekanan.kabupaten?.kbp_nama}</p>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-lg-5 control-label">&{'verifikator.provinsi'}</label>
                    <div class="col-lg-7">
                        <p class="form-control-static">${rekanan.kabupaten?.propinsi?.prp_nama}</p>
                    </div>
                </div>
            #{/else}
        </div>
        <div class="col-md-6">
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.npwp'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">${rekanan.rkn_npwp}</p>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.email'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">${rekanan.rkn_email}</p>
                </div>
            </div>
            #{if !rekanan.perusahaanAsing}
                <div class="form-group row">
                    <label class="col-lg-5 control-label">&{'verifikator.no_pkp'}</label>
                    <div class="col-lg-7">
                        <p class="form-control-static">${rekanan.rkn_pkp}</p>
                    </div>
                </div>
            #{/if}
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.no_tlp'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">${rekanan.rkn_telepon}</p>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.no_fax'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">${rekanan.rkn_fax}</p>
                </div>
            </div>
            #{if rekanan.rkn_status == 1}
                <div class="form-group row">
                    <label class="col-lg-5 control-label">&{'verifikator.disetujui_olehh'}</label>
                    <div class="col-lg-7">
                        <p class="form-control-static">${rekanan?.ver_namauser}</p>
                    </div>
                </div>
            #{/if}
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.no_hp'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">${rekanan.rkn_mobile_phone}</p>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.tgl_pendaftaran'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">${rekanan.rkn_tgl_daftar?.formatDateTime()}</p>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.terdaftar_di'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">${namalpse}</p>
                </div>
            </div>
            #{if rekanan.rkn_status ==1}
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.disetujui_pd_tgl'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">${rekanan.rkn_tgl_setuju?.formatDateTime()}</p>
                </div>
            </div>
            #{/if}
            <div class="form-group row">
                <label class="col-lg-5 control-label">&{'verifikator.status'}</label>
                <div class="col-lg-7">
                    <p class="form-control-static">
                        #{if blacklist != null} Penyedia Blacklist #{/if}
                        #{elseif rekanan.rkn_status == 0} Penyedia Baru #{/elseif}
                        #{elseif rekanan.rkn_status == 1} Penyedia Disetujui #{/elseif}
                        #{elseif rekanan.rkn_status == -2} Penyedia Ditolak  #{/elseif}
                        #{elseif rekanan.rkn_status == -3} Penyedia Expired  #{/elseif}
                    </p>
                </div>
            </div>
        </div>
    </div>
    #{if rekanan.rkn_status == 0 && !rekanan.perusahaanAsing}
        <div class="form-group row">
            <label class="col-lg-2 control-label">&{'verifikator.syarat_verifikator'}</label>
            <div class="col-lg-10">
                <label class="form-check">
                    <input type="checkbox" name="cekPrasyarat" value="1"/>KTP Direksi/Direktur/Pemilik
                    Perusahaan/Pejabat yang berwenang di Perusahaan (fotokopi)
                </label>
                <label class="form-check">
                    <input type="checkbox" name="cekPrasyarat" value="2"/> <strong>NPWP</strong> (fotokopi)
                </label>
            </div>
        </div>
    #{/if}
    #{if blacklist != null}
        <div class="form-group row">
            <label class="col-lg-2 control-label">&{'verifikator.blacklist '}</label>
            <div class="col-lg-7">
                <p class="form-control-static">Berlaku : ${blacklist.bll_tglawal?.formatDate()}
                    -  ${blacklist.bll_tglakhir?.formatDate()}</p>
            </div>
        </div>
    #{/if}
    <div class="form-group row">
        <label class="col-lg-2 col-form-label">Keterangan <span class="warning">*</span></label>
        <div class="col-lg-7">
            #{if rekanan.rkn_status == 0}
                <textarea name="rekanan.rkn_keterangan" cols="40" rows="4" class="form-control #{validate 'rekanan.rkn_keterangan'/}">${rekanan.rkn_keterangan}</textarea>
                <div class="invalid-feedback">#{error 'rekanan.rkn_keterangan'/}</div>
            #{/if}
            #{else}
            ${rekanan.rkn_keterangan}
            #{/else}
        </div>
    </div>
    #{if rekanan.rkn_status == 0}
        <div class="bs-callout bs-callout-warning">
            <ol>
                <li>&{'verifikator.baru_mendaftar'}</li>
                <li>&{'verifikator.data_tlh_verif'}</li>
                <li>&{'verifikator.data_tdk_disetujui'}</li>
            </ol>
        </div>
    #{/if}
    #{if rekananEdit != null}
        <div class="bs-callout bs-callout-danger">
            &{'verifikator.peruahan_verif'}
            <span class="space"></span>
            <button type="button" class="btn btn-default btn-sm" data-toggle="modal" data-target="#editedData">
                &{'verifikator.lihat'}
            </button>
        </div>
    #{/if}
    #{backButton action:@VerifikatorCtr.rekanan() /} &nbsp;
    #{if allowEdit}
        #{addButton action:@VerifikatorCtr.edit(rekanan.rkn_id), title:'Edit' /}
    #{/if}
    #{if rekanan.rkn_status == 0}
        #{button title:'Setuju', confirm:'Apakah Anda yakin?', name:'setuju', value:'true' /}
        #{button title:' Tidak Setuju', confirm:'Apakah Anda yakin?', cssClass:'btn btn-danger ', iconClass:'fa fa-minus-circle fa-lg', name:'setuju', value:'false' /}
        #{deleteButton action:@VerifikatorCtr.hapusRekananSubmit(rekanan.rkn_id), title:'Hapus', confirm:'Apakah Anda yakin?'/}
    #{/if}
    #{elseif rekanan.rkn_status==-2}
        #{set 'h'}&{'verifikator.hapus'}#{/set}
        #{deleteButton action:@VerifikatorCtr.hapusRekananSubmit(rekanan.rkn_id), title:h /}
    #{/elseif}
    #{elseif rekanan.rkn_isactive == -1}
        #{link action:@VerifikatorCtr.toggleSuspendRekanan(rekanan.rkn_id), title:'Non Aktifkan', confirm:'Apakah Anda yakin?', cssClass:'btn btn-danger ', iconClass:'fa fa-minus-circle fa-lg'/}
    #{/elseif}
    #{else}
        #{link action:@VerifikatorCtr.toggleSuspendRekanan(rekanan.rkn_id), title:'Aktifkan', confirm:'Apakah Anda yakin?', cssClass:'btn btn-secondary ', iconClass:'fa fa-plus-circle fa-lg'/}
    #{/else}
*{#{if blacklist == null}
    #{set 'ab'}&{'verifikator.btn_blacklist'}#{/set}
		#{addButton action:@VerifikatorCtr.blacklist(rekanan.rkn_id,null), title:ab /}
	#{/if}
	#{else}
	    #{set 'be'}&{'verifikator.btn_edit_bl'}#{/set}
		#{addButton action:@VerifikatorCtr.editBlacklist(rekanan.rkn_id,blacklist.bll_id), title:be /}
	#{/else}}*
#{/form}
    <div class="modal fade bs-modal-lg" id="modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content"></div>
        </div>
    </div>
</div>

#{if rekananEdit != null}
<div class="modal fade" id="editedData" tabindex="-1" role="dialog" aria-labelledby="editedDataTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">
                    <span aria-hidden="true">&times;</span><span class="sr-only">&{'verifikator.close'}</span>
                </button>
                <h5 class="modal-title" id="editedDataTitle">&{'verifikator.data_perubahaan'}</h5>
            </div>
            <div class="modal-body">
                <div class="row">
                    <label class="col-md-2">&{'verifikator.no_pkp'}</label>
                    <div class="col-md-4">${rekananEdit.rkn_pkp}</div>

                    <label class="col-md-2">&{'verifikator.no_tlp'}</label>
                    <div class="col-md-4">${rekananEdit.rkn_telepon}</div>
                </div>

                <div class="row">
                    <label class="col-md-2">&{'verifikator.no_hp'}</label>
                    <div class="col-md-4">${rekananEdit.rkn_mobile_phone}</div>

                    <label class="col-md-2">&{'verifikator.no_fax'}</label>
                    <div class="col-md-4">${rekananEdit.rkn_fax}</div>
                </div>
                #{if rekanan.perusahaanAsing}
                    <div class="row">
                        <label class="col-md-2">&{'verifikator.kota'}</label>
                        <div class="col-md-4">${rekanan.kota}</div>
                    </div>
                    <div class="row">
                        <label class="col-md-2">&{'verifikator.negara'}</label>
                        <div class="col-md-4">${rekanan.negara?.nama}</div>
                    </div>
                #{/if}
                #{else}
                <div class="row">
                    <label class="col-md-2">&{'verifikator.kab_kota'}</label>
                    <div class="col-md-4">${rekananEdit.kabupaten?.kbp_nama}</div>

                    <label class="col-md-2">&{'verifikator.provinsi'}</label>
                    <div class="col-md-4">${rekananEdit.kabupaten?.propinsi?.prp_nama}</div>
                </div>
                #{/else}
                <div class="row">
                    <label class="col-md-2">&{'verifikator.kode_pos'}</label>
                    <div class="col-md-4">${rekananEdit.rkn_kodepos}</div>
                    <label class="col-md-2">Website</label>
                    <div class="col-md-4">${rekananEdit.rkn_website}</div>
                </div>
                <div class="row">
                    <label class="col-md-2">&{'verifikator.kantor_cabang'}?</label>
                    <div class="col-md-4">${rekananEdit.rkn_statcabang == "P" ? "&{'verifikator.tidak'}" : "&{'verifikator.ya'}"}</div>
                </div>

                #{if rekananEdit.rkn_statcabang == "C"}
                    <div class="row">
                        <label class="col-md-2">&{'verifikator.kantor_pusat'}</label>
                    </div>
                    <div class="row">
                        <label class="col-md-2">&{'verifikator.alamat'}</label>
                        <div class="col-md-4">${rekananEdit.rkn_almtpusat}</div>
                    </div>
                    <div class="row">
                        <label class="col-md-2">&{'verifikator.email'}</label>
                        <div class="col-md-4">${rekananEdit.rkn_emailpusat}</div>
                    </div>
                    <div class="row">
                        <label class="col-md-2">&{'verifikator.no_tlp'}</label>
                        <div class="col-md-4">${rekananEdit.rkn_telppusat}</div>
                    </div>
                    <div class="row">
                        <label class="col-md-2">&{'verifikator.no_fax'}</label>
                        <div class="col-md-4">${rekananEdit.rkn_faxpusat}</div>
                    </div>
                #{/if}
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">&{'verifikator.close'}</button>
                <span class="space"></span>
                <a href="@{VerifikatorCtr.approvePerubahan(rekanan.rkn_id)}" class="btn btn-primary btn-sm">&{'verifikator.setujui'}</a>
                <span class="space"></span>
                <a href="@{VerifikatorCtr.cancelPerubahan(rekanan.rkn_id)}" class="btn btn-danger btn-sm">&{'verifikator.batalkan'}</a>
            </div>
        </div>
    </div>
</div>
#{/if}